Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.cache
Class SimpleLRUCache

    java.lang.Object
      org.apache.lucene.util.cache.Cache
          org.apache.lucene.util.cache.SimpleMapCache
              org.apache.lucene.util.cache.SimpleLRUCache

    public class SimpleLRUCache

extends SimpleMapCache

Simple LRU cache implementation that uses a LinkedHashMap. This cache is not synchronized, use `Cache.synchronizedCache(Cache)` if needed.

Constructor Summary
`SimpleLRUCache(int cacheSize)` Creates a last-recently-used cache with the specified size.

Method Summary

Methods inherited from class org.apache.lucene.util.cache.SimpleMapCache
`close, containsKey, get, keySet, put`

Methods inherited from class org.apache.lucene.util.cache.Cache
`synchronizedCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLRUCache

    public SimpleLRUCache(int cacheSize)

  Creates a last-recently-used cache with the specified size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.